Search found 2652 matches

Go to advanced search

by mario52
Sat Oct 19, 2019 12:07 pm
Forum: Help on using FreeCAD
Topic: Problem with B-spline helix
Replies: 3
Views: 140

Re: Problem with B-spline helix

hi the problem with my macro is : i cut the conference in x points (default 72 points (max 360 points)) and with the formula (as UR_) much more points and the point to point connection are shorter see: FCSpring Helix macro help needed Spiralbohrer the microelly2 method (what I need to do heu...2016)...
by mario52
Fri Oct 18, 2019 2:17 pm
Forum: Forum in Deutsch
Topic: Linie teilen
Replies: 15
Views: 361

Re: Linie teilen

hi (download by AddonManager) Variante 5: Macro_Cut_Line https://www.freecadweb.org/wiki/images/thumb/d/dd/Macro_cutLine_00.png/400px-Macro_cutLine_00.png Variante 6: Macro_FC_Convert_Lines (example https://forum.freecadweb.org/viewtopic.php?f=22&t=40158#p341584 ) https://www.freecadweb.org/wiki/ima...
by mario52
Fri Oct 18, 2019 11:30 am
Forum: Forum in Deutsch
Topic: Frage zum Nullpunkt in der Part Workbench
Replies: 2
Views: 129

Re: Frage zum Nullpunkt in der Part Workbench

hi try this snippet : select your object run the macro (result the object is positioned in BoundBox.Center) #18/10/2019 import FreeCAD from FreeCAD import Base try: sel = FreeCADGui.Selection.getSelection() sel[0].Placement.Base = FreeCAD.Vector(0,0,0) sel[0].Placement.Base = -sel[0].Shape.BoundBox....
by mario52
Thu Oct 17, 2019 9:33 am
Forum: Python scripting and macros
Topic: macro convertline
Replies: 2
Views: 96

Re: macro convertline

hi welcome I fould the macro "convert line" if you use the macro Macro_FC_Convert_Lines here one example use PS: for create 72 points you must give 71 cut (cause create external begin and end point) and for create 72 line you give 72 cut (verify the number points in comboview begin 00 to ...) FCConv...
by mario52
Sat Oct 12, 2019 9:33 pm
Forum: Developers corner
Topic: Info Workbench - Help with icons please.
Replies: 39
Views: 13890

Re: Info Workbench - Help with icons please.

hi

tanks for report but I do not know how to correct in sketcher open

FCinfo_Sketch00.gif
FCinfo_Sketch00.gif (530.04 KiB) Viewed 68 times
herrdeh wrote:
Fri Oct 11, 2019 7:38 pm
"digits behind decimal point"
yes for the next version and save the config in file, icon include in macro and other little adding

FCinfo_Arround00.gif
FCinfo_Arround00.gif (243.23 KiB) Viewed 68 times
mario
by mario52
Thu Oct 10, 2019 9:41 am
Forum: Python scripting and macros
Topic: Starting and controlling FreeCAD from external console
Replies: 11
Views: 536

Re: Starting and controlling FreeCAD from external console

hi

good macro thank for sharing

for install it with AddonManager you must replace

Code: Select all

FreeCAD.getHomePath()
by

Code: Select all

FreeCAD.getUserAppDataDir()
in this mode your addon is usable directly with many instalation of FreeCAD ( os Windows)
(what I have done)

thanks

mario
by mario52
Mon Sep 16, 2019 8:58 pm
Forum: Forum in Deutsch
Topic: Schaltflächen für Funktionen eines Makro
Replies: 5
Views: 242

Re: Schaltflächen für Funktionen eines Makro

hi tray macro docking (skeleton to complete) # -*- coding: utf-8 -*- # __title__ = "ToolBar_Parameter" __author__ = "Mario52" __url__ = "" __date__ = "2019/09/16" #YYY/MM/DD __version__ = "0.0" import PySide from PySide import QtGui ,QtCore from PySide.QtGui import QComboBox from PySide.QtGui import...
by mario52
Sun Sep 15, 2019 5:25 pm
Forum: Help on using FreeCAD
Topic: unicode error utf-8 using clone CloneConvert.FCMacro
Replies: 8
Views: 250

Re: unicode error utf-8 using clone CloneConvert.FCMacro

hi i upgrade the macro cloneConvert and i replace the (the change "grandeur" in comboBox not work) self.comboBox.setItemText(7, _translate("MainWindow", "µm", None)) #µm # micro = 0.001 by (also µm to um many problem) self.comboBox.setItemText(7, "um") #um # micro = 0.001 now work until OS: Windows ...
by mario52
Thu Sep 12, 2019 4:21 pm
Forum: Python scripting and macros
Topic: Macro CirclePlus - Refining the wiki page
Replies: 8
Views: 324

Re: Macro CirclePlus - Refining the wiki page

hi

i prefer stay with my Gist and the Wiki link,

the follow in GitHub FreeCAD is not easy example Macro_FCCircularText.FCMacro in FreeCAD-Macros version "00.11" "12/06/2015

the latest version is 0.14-2 : 2019/07/22

mario

Go to advanced search